Package org.wso2.carbon.proxyadmin

## Class ProxyAdminServiceComponent

- java.lang.Object
- - org.wso2.carbon.utils.AbstractAxis2ConfigurationContextObserver
  - - org.wso2.carbon.proxyadmin.ProxyAdminServiceComponent

- All Implemented Interfaces:
    `org.wso2.carbon.utils.Axis2ConfigurationContextObserver`

      public class ProxyAdminServiceComponent
      extends org.wso2.carbon.utils.AbstractAxis2ConfigurationContextObserver

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProxyAdminServiceComponent()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `activate​(org.osgi.service.component.ComponentContext context)` |
    `void` | `createdConfigurationContext​(org.apache.axis2.context.ConfigurationContext configContext)` |
    `protected void` | `deactivate​(org.osgi.service.component.ComponentContext context)` |
    `protected void` | `setRegistryService​(org.wso2.carbon.registry.core.service.RegistryService regService)` |
    `protected void` | `setServiceadminService​(org.wso2.carbon.service.mgt.ServiceAdmin serviceAdmin)` |
    `protected void` | `setSynapseEnvironmentService​(org.wso2.carbon.mediation.initializer.services.SynapseEnvironmentService synapseEnvironmentService)` | Here we receive an event about the creation of a SynapseEnvironment.
    `protected void` | `setSynapseRegistrationsService​(org.wso2.carbon.mediation.initializer.services.SynapseRegistrationsService synapseRegistrationsService)` |
    `protected void` | `unsetRegistryService​(org.wso2.carbon.registry.core.service.RegistryService regService)` |
    `protected void` | `unsetServiceAdminService​(org.wso2.carbon.service.mgt.ServiceAdmin serviceAdmin)` |
    `protected void` | `unsetSynapseEnvironmentService​(org.wso2.carbon.mediation.initializer.services.SynapseEnvironmentService synapseEnvironmentService)` | Here we receive an event about Destroying a SynapseEnvironment.
    `protected void` | `unsetSynapseRegistrationsService​(org.wso2.carbon.mediation.initializer.services.SynapseRegistrationsService synapseRegistrationsService)` |

    - ### Methods inherited from class org.wso2.carbon.utils.AbstractAxis2ConfigurationContextObserver

      `creatingConfigurationContext, terminatedConfigurationContext, terminatingConfigurationContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProxyAdminServiceComponent

          public ProxyAdminServiceComponent()

  - ### Method Detail

    - #### activate

          protected void activate​(org.osgi.service.component.ComponentContext context)

    - #### deactivate

          protected void deactivate​(org.osgi.service.component.ComponentContext context)

    - #### setSynapseEnvironmentService

          protected void setSynapseEnvironmentService​(org.wso2.carbon.mediation.initializer.services.SynapseEnvironmentService synapseEnvironmentService)

      Here we receive an event about the creation of a SynapseEnvironment. If this is SuperTenant we have to wait until all the other constraints are met and actual initialization is done in the activate method. Otherwise we have to do the activation here.
      Parameters:
        `synapseEnvironmentService` - SynapseEnvironmentService which contains information about the new Synapse Instance

    - #### unsetSynapseEnvironmentService

          protected void unsetSynapseEnvironmentService​(org.wso2.carbon.mediation.initializer.services.SynapseEnvironmentService synapseEnvironmentService)

      Here we receive an event about Destroying a SynapseEnvironment. This can be the super tenant destruction or a tenant destruction. But in this method we don't do anything
      Parameters:
        `synapseEnvironmentService` - synapseEnvironment

    - #### setSynapseRegistrationsService

          protected void setSynapseRegistrationsService​(org.wso2.carbon.mediation.initializer.services.SynapseRegistrationsService synapseRegistrationsService)

    - #### unsetSynapseRegistrationsService

          protected void unsetSynapseRegistrationsService​(org.wso2.carbon.mediation.initializer.services.SynapseRegistrationsService synapseRegistrationsService)

    - #### setServiceadminService

          protected void setServiceadminService​(org.wso2.carbon.service.mgt.ServiceAdmin serviceAdmin)

    - #### unsetServiceAdminService

          protected void unsetServiceAdminService​(org.wso2.carbon.service.mgt.ServiceAdmin serviceAdmin)

    - #### setRegistryService

          protected void setRegistryService​(org.wso2.carbon.registry.core.service.RegistryService regService)

    - #### unsetRegistryService

          protected void unsetRegistryService​(org.wso2.carbon.registry.core.service.RegistryService regService)

    - #### createdConfigurationContext

          public void createdConfigurationContext​(org.apache.axis2.context.ConfigurationContext configContext)

      Specified by:
        `createdConfigurationContext` in interface `org.wso2.carbon.utils.Axis2ConfigurationContextObserver`
      Overrides:
        `createdConfigurationContext` in class `org.wso2.carbon.utils.AbstractAxis2ConfigurationContextObserver`